Bug 1415835 - SELinux is preventing systemd-hostnam from 'rename' accesses on the file .#hostnameM15qqP.
Summary: SELinux is preventing systemd-hostnam from 'rename' accesses on the file .#ho...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:af13f3ad57d8b4616c5f978ac42...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 21:19 UTC by Joachim Frieben
Modified: 2018-05-29 11:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:11 UTC
Type: ---


Attachments (Terms of Use)

Description Joachim Frieben 2017-01-23 21:19:57 UTC
Description of problem:
SELinux is preventing systemd-hostnam from 'rename' accesses on the file .#hostnameM15qqP.

*****  Plugin catchall_labels (83.8 confidence) suggests   *******************

If you want to allow systemd-hostnam to have rename access on the .#hostnameM15qqP file
Then you need to change the label on .#hostnameM15qqP
Do
# semanage fcontext -a -t FILE_TYPE '.#hostnameM15qqP'
where FILE_TYPE is one of the following: hostname_etc_t.
Then execute:
restorecon -v '.#hostnameM15qqP'


*****  Plugin catchall (17.1 confidence) suggests   **************************

If you believe that systemd-hostnam should be allowed rename access on the .#hostnameM15qqP file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-hostnam' --raw | audit2allow -M my-systemdhostnam
# semodule -X 300 -i my-systemdhostnam.pp

Additional Information:
Source Context                system_u:system_r:systemd_hostnamed_t:s0
Target Context                system_u:object_r:etc_t:s0
Target Objects                .#hostnameM15qqP [ file ]
Source                        systemd-hostnam
Source Path                   systemd-hostnam
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-235.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.10.0-0.rc4.git4.1.fc26.x86_64 #1
                              SMP Fri Jan 20 20:41:19 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-23 16:18:37 EST
Last Seen                     2017-01-23 16:18:37 EST
Local ID                      0d133841-f93d-4269-8962-bfc8a769b9dc

Raw Audit Messages
type=AVC msg=audit(1485206317.702:313): avc:  denied  { rename } for  pid=19515 comm="systemd-hostnam" name=".#hostnameM15qqP" dev="dm-0" ino=38423 scontext=system_u:system_r:systemd_hostnamed_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file permissive=1


Hash: systemd-hostnam,systemd_hostnamed_t,etc_t,file,rename

Version-Release number of selected component:
selinux-policy-3.13.1-235.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc4.git4.1.fc26.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-02-28 11:02:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:09:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:23:11 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.